#include "DiscretePoint.h"


DiscretePoint::DiscretePoint(unsigned x, unsigned y)
	: mX(x),
	  mY(y)
{
}

DiscretePoint::~DiscretePoint()
{
};


std::shared_ptr<DiscretePoint> DiscretePoint::Create(unsigned x, unsigned y)
{
	return std::make_shared<DiscretePoint>(x, y);
}

unsigned DiscretePoint::GetX() const
{
	return mX;
}

unsigned DiscretePoint::GetY() const
{
	return mY;
}
